Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.spring
Class BeanDefinitionConversationNameAttrDecorator

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.spring.BeanDefinitionConversationNameAttrDecorator

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionDecorator

    public class BeanDefinitionConversationNameAttrDecorator

extends Object
implements org.springframework.beans.factory.xml.BeanDefinitionDecorator

Invoked by Spring when a bean definition is found in its config file which has an xml attribute called "conversationName" in the orchestra namespace.

The value of the xml attribute is simply copied onto the BeanDefinition object.

See also class OrchestraNamespaceHandler.

Field Summary
`static String` | `CONVERSATION_NAME_ATTRIBUTE` A unique key used to store the orchestra conversationName within the attributes map of a spring bean definition.
`static String` | `XSD_CONVERSATION_NAME_ATTRIBUTE` The name of the xml attribute in the spring bean definition that is used by orchestra as the conversation name.

Constructor Summary
`BeanDefinitionConversationNameAttrDecorator()`

Method Summary
`org.springframework.beans.factory.config.BeanDefinitionHolder` | `decorate(Node node, org.springframework.beans.factory.config.BeanDefinitionHolder definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSD_CONVERSATION_NAME_ATTRIBUTE

    public static final String XSD_CONVERSATION_NAME_ATTRIBUTE

  The name of the xml attribute in the spring bean definition that is used by orchestra as the conversation name.

  See Also:
    Constant Field Values

### CONVERSATION_NAME_ATTRIBUTE

    public static final String CONVERSATION_NAME_ATTRIBUTE

  A unique key used to store the orchestra conversationName within the attributes map of a spring bean definition.

  See Also:
    Constant Field Values

Constructor Detail

### BeanDefinitionConversationNameAttrDecorator

    public BeanDefinitionConversationNameAttrDecorator()

Method Detail

### decorate

    public org.springframework.beans.factory.config.BeanDefinitionHolder decorate(Node node,
                                                                                  org.springframework.beans.factory.config.BeanDefinitionHolder definition,
                                                                                  org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `decorate` in interface `org.springframework.beans.factory.xml.BeanDefinitionDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.